com.thinkaurelius.titan.graphdb.schema

## Class EdgeLabelDefinition

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.schema.SchemaElementDefinition
  - - com.thinkaurelius.titan.graphdb.schema.RelationTypeDefinition
    - - com.thinkaurelius.titan.graphdb.schema.EdgeLabelDefinition

-     public class EdgeLabelDefinition
      extends RelationTypeDefinition

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdgeLabelDefinition(EdgeLabel label)`
    `EdgeLabelDefinition(String name, long id, Multiplicity multiplicity, boolean unidirected)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isDirected()`
    `boolean` | `isUnidirected()`
    `boolean` | `isUnidirected(com.tinkerpop.blueprints.Direction dir)`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.schema.RelationTypeDefinition

      `getCardinality, getMultiplicity`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.schema.SchemaElementDefinition

      `equals, getLongId, getName, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EdgeLabelDefinition

          public EdgeLabelDefinition(String name,
                             long id,
                             Multiplicity multiplicity,
                             boolean unidirected)

    - #### EdgeLabelDefinition

          public EdgeLabelDefinition(EdgeLabel label)

  - ### Method Detail

    - #### isDirected

          public boolean isDirected()

    - #### isUnidirected

          public boolean isUnidirected()

    - #### isUnidirected

          public boolean isUnidirected(com.tinkerpop.blueprints.Direction dir)

      Specified by:
        `isUnidirected` in class `RelationTypeDefinition`

Copyright © 2012–2014. All rights reserved.